
electronique_eclairage_leds_001_Init:
;electronique_eclairage_leds_001.mpas,22 :: 		begin
;electronique_eclairage_leds_001.mpas,23 :: 		INTCON := %00000000;
	CLRF       INTCON+0
;electronique_eclairage_leds_001.mpas,24 :: 		IOC := 0;
	CLRF       IOC+0
;electronique_eclairage_leds_001.mpas,25 :: 		T1CON := %00000001;
	MOVLW      1
	MOVWF      T1CON+0
;electronique_eclairage_leds_001.mpas,26 :: 		OPTION_REG := %10000001;
	MOVLW      129
	MOVWF      OPTION_REG+0
;electronique_eclairage_leds_001.mpas,28 :: 		TRISIO.0 := 0;  // out led 1
	BCF        TRISIO+0, 0
;electronique_eclairage_leds_001.mpas,29 :: 		TRISIO.1 := 0;  // out led 2
	BCF        TRISIO+0, 1
;electronique_eclairage_leds_001.mpas,30 :: 		TRISIO.2 := 0;  // out led 3
	BCF        TRISIO+0, 2
;electronique_eclairage_leds_001.mpas,31 :: 		TRISIO.3 := 1;  // always input
	BSF        TRISIO+0, 3
;electronique_eclairage_leds_001.mpas,32 :: 		TRISIO.4 := 0;  // out led 4
	BCF        TRISIO+0, 4
;electronique_eclairage_leds_001.mpas,33 :: 		TRISIO.5 := 1;  // used for external RC oscillator
	BSF        TRISIO+0, 5
;electronique_eclairage_leds_001.mpas,35 :: 		CMCON := %00000111;   // comparators OFF
	MOVLW      7
	MOVWF      CMCON+0
;electronique_eclairage_leds_001.mpas,37 :: 		ANSEL := %00100000;  // analog disabled
	MOVLW      32
	MOVWF      ANSEL+0
;electronique_eclairage_leds_001.mpas,39 :: 		GPIO.0 := 1;
	BSF        GPIO+0, 0
;electronique_eclairage_leds_001.mpas,40 :: 		GPIO.1 := 1;
	BSF        GPIO+0, 1
;electronique_eclairage_leds_001.mpas,41 :: 		GPIO.2 := 1;
	BSF        GPIO+0, 2
;electronique_eclairage_leds_001.mpas,42 :: 		GPIO.4 := 1;
	BSF        GPIO+0, 4
;electronique_eclairage_leds_001.mpas,44 :: 		i := 0;
	CLRF       _i+0
;electronique_eclairage_leds_001.mpas,45 :: 		j := 0;
	CLRF       _j+0
;electronique_eclairage_leds_001.mpas,46 :: 		end;
	RETURN
; end of electronique_eclairage_leds_001_Init

_main:
;electronique_eclairage_leds_001.mpas,48 :: 		begin
;electronique_eclairage_leds_001.mpas,49 :: 		Init;
	CALL       electronique_eclairage_leds_001_Init+0
;electronique_eclairage_leds_001.mpas,51 :: 		while true do
L__main3:
;electronique_eclairage_leds_001.mpas,53 :: 		if i < 100 then
	MOVLW      100
	SUBWF      _i+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main8
;electronique_eclairage_leds_001.mpas,54 :: 		inc(i)
	INCF       _i+0, 1
	GOTO       L__main9
;electronique_eclairage_leds_001.mpas,55 :: 		else
L__main8:
;electronique_eclairage_leds_001.mpas,57 :: 		i := 0;
	CLRF       _i+0
;electronique_eclairage_leds_001.mpas,58 :: 		if j < 20 then
	MOVLW      20
	SUBWF      _j+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main11
;electronique_eclairage_leds_001.mpas,59 :: 		inc(j)
	INCF       _j+0, 1
	GOTO       L__main12
;electronique_eclairage_leds_001.mpas,60 :: 		else
L__main11:
;electronique_eclairage_leds_001.mpas,61 :: 		j := 0;
	CLRF       _j+0
L__main12:
;electronique_eclairage_leds_001.mpas,62 :: 		end;
L__main9:
;electronique_eclairage_leds_001.mpas,65 :: 		if GPIO.3 = 1 then
	BTFSS      GPIO+0, 3
	GOTO       L__main14
;electronique_eclairage_leds_001.mpas,67 :: 		GPIO.0 := i <> 1;  // "continuous" light - green led
	MOVF       _i+0, 0
	XORLW      1
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__main17
	BCF        GPIO+0, 0
	GOTO       L__main18
L__main17:
	BSF        GPIO+0, 0
L__main18:
;electronique_eclairage_leds_001.mpas,68 :: 		GPIO.1 := not((i = 2) and (j = 1));  // "blinking" light - red led
	MOVF       _i+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _j+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	COMF       R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__main19
	BCF        GPIO+0, 1
	GOTO       L__main20
L__main19:
	BSF        GPIO+0, 1
L__main20:
;electronique_eclairage_leds_001.mpas,69 :: 		GPIO.2 := i <> 3;  // "continuous" light - white led
	MOVF       _i+0, 0
	XORLW      3
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__main21
	BCF        GPIO+0, 2
	GOTO       L__main22
L__main21:
	BSF        GPIO+0, 2
L__main22:
;electronique_eclairage_leds_001.mpas,70 :: 		GPIO.4 := i <> 4;  // "continuous" light - blue led
	MOVF       _i+0, 0
	XORLW      4
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	BTFSC      R0+0, 0
	GOTO       L__main23
	BCF        GPIO+0, 4
	GOTO       L__main24
L__main23:
	BSF        GPIO+0, 4
L__main24:
;electronique_eclairage_leds_001.mpas,71 :: 		end
	GOTO       L__main15
;electronique_eclairage_leds_001.mpas,72 :: 		else
L__main14:
;electronique_eclairage_leds_001.mpas,76 :: 		GPIO.0 := 1;  // light off
	BSF        GPIO+0, 0
;electronique_eclairage_leds_001.mpas,77 :: 		GPIO.1 := not((i = 2) and (j = 1));  // "blinking" light - red led
	MOVF       _i+0, 0
	XORLW      2
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _j+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	COMF       R0+0, 1
	BTFSC      R0+0, 0
	GOTO       L__main25
	BCF        GPIO+0, 1
	GOTO       L__main26
L__main25:
	BSF        GPIO+0, 1
L__main26:
;electronique_eclairage_leds_001.mpas,78 :: 		GPIO.2 := 1;  // light off
	BSF        GPIO+0, 2
;electronique_eclairage_leds_001.mpas,79 :: 		GPIO.4 := 1;  // light off
	BSF        GPIO+0, 4
;electronique_eclairage_leds_001.mpas,80 :: 		end;
L__main15:
;electronique_eclairage_leds_001.mpas,82 :: 		Delay_us(100);
	MOVLW      33
	MOVWF      R13+0
L__main16:
	DECFSZ     R13+0, 1
	GOTO       L__main16
;electronique_eclairage_leds_001.mpas,83 :: 		end;
	GOTO       L__main3
;electronique_eclairage_leds_001.mpas,84 :: 		end.
	GOTO       $+0
; end of _main
